Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661716 - dev-perl/GnuPG-Interface-0.520.0-r3 fails tests (t/get_public_keys.t ........ Failed 1/3 subtests)
Summary: dev-perl/GnuPG-Interface-0.520.0-r3 fails tests (t/get_public_keys.t ...........
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: perl-testfailure 657634
  Show dependency tree
 
Reported: 2018-07-21 06:37 UTC by Kent Fredric (IRC: kent\n)
Modified: 2019-10-25 18:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-07-21 06:37:22 UTC
Might be a network IO issue.

>>> Test phase: dev-perl/GnuPG-Interface-0.520.0-r3
 * Removing un-needed t/decrypt.t
 * Fixing Manifest
make -j3 test TEST_VERBOSE=0
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
t/000_setup.t .............. ok
t/clearsign.t .............. ok
t/detach_sign.t ............ ok
t/encrypt.t ................ ok
t/encrypt_symmetrically.t .. ok
t/export_keys.t ............ ok
t/Fingerprint.t ............ ok
t/get_public_keys.t ........ Failed 1/3 subtests
t/get_secret_keys.t ........ ok
t/import_keys.t ............ ok
t/Interface.t .............. ok
t/list_public_keys.t ....... ok
t/list_secret_keys.t ....... ok
t/list_sigs.t .............. ok
t/passphrase_handling.t .... 1/3 gpg: using "0x93AFC4B1B0288A104996B44253AE596EF950DA9C" as default secret key for signing
t/passphrase_handling.t .... ok
t/sign.t ................... ok
t/sign_and_encrypt.t ....... ok
t/UserId.t ................. ok
t/verify.t ................. ok
t/wrap_call.t .............. ok
t/zzz_cleanup.t ............ ok

Test Summary Report
-------------------
t/get_public_keys.t      (Wstat: 0 Tests: 3 Failed: 1)
  Failed test:  3
Files=21, Tests=50, 11 wallclock secs ( 0.08 usr  0.03 sys +  6.41 cusr  0.72 csys =  7.24 CPU)
Result: FAIL

Install Deps:

Calculating dependencies  ... done!
[ebuild  N     ] dev-perl/GnuPG-Interface-0.520.0-r3  USE="{-test}" 0 KiB
[ebuild  N    #]  virtual/perl-Math-BigInt-1.999.811  0 KiB
[ebuild  N     ]  dev-perl/Moo-2.3.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Role-Tiny-2.0.5  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Class-Method-Modifiers-2.120.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Module-Runtime-0.16.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Sub-Quote-2.3.1  USE="minimal {-test}" 0 KiB
[ebuild  N     ]   dev-perl/Devel-GlobalDestruction-0.140.0  0 KiB
[ebuild  N     ]    dev-perl/Sub-Exporter-Progressive-0.1.11  0 KiB
[ebuild  N     ]     dev-perl/Sub-Exporter-0.987.0  0 KiB
[ebuild  N     ]      dev-perl/Params-Util-1.60.0-r1  0 KiB
[ebuild  N     ]      dev-perl/Data-OptList-0.110.0  USE="{-test}" 0 KiB
[ebuild  N     ]       dev-perl/Sub-Install-0.928.0  USE="{-test}" 0 KiB
[ebuild  N     ]  virtual/perl-autodie-2.290.0-r3  0 KiB
[ebuild  N     ]  dev-perl/MooX-late-0.15.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Type-Tiny-1.0.5  USE="{-test}" 0 KiB
[ebuild  N     ]    dev-perl/Exporter-Tiny-1.0.0  USE="-examples {-test}" 0 KiB
[ebuild  N     ]  dev-perl/MooX-HandlesVia-0.1.8  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Data-Perl-0.2.9-r1  USE="{-test}" 0 KiB
[ebuild  N     ]    dev-perl/strictures-2.0.3  USE="minimal {-test}" 0 KiB
[ebuild  N     ]    dev-perl/List-MoreUtils-0.418.0  USE="xs {-test}" 0 KiB
[ebuild  N     ]     dev-perl/List-MoreUtils-XS-0.418.0  USE="{-test}" 0 KiB
[ebuild  N    #]      virtual/perl-File-Path-2.150.0  0 KiB
[ebuild  N    #]      virtual/perl-IPC-Cmd-1.0.0  0 KiB
[ebuild  N    #]      virtual/perl-XSLoader-0.300.0  0 KiB
Comment 1 Matt Turner gentoo-dev 2018-08-19 21:33:51 UTC
I saw this on ppc.
Comment 2 Andreas K. Hüttel gentoo-dev 2019-10-25 18:05:15 UTC
Not a network issue but changes in behaviour in gpg.
Comment 3 Larry the Git Cow gentoo-dev 2019-10-25 18:09:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4bc13f99c7d2cda324f742c6f49134ae8e9f1a3

commit f4bc13f99c7d2cda324f742c6f49134ae8e9f1a3
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-10-25 18:06:25 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-10-25 18:06:50 +0000

    dev-perl/GnuPG-Interface: Fix tests with newer gnupg, patches by Niko Tyni
    
    Closes: https://bugs.gentoo.org/661716
    Package-Manager: Portage-2.3.77, Repoman-2.3.17
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 .../GnuPG-Interface-0.520.0-r3.ebuild              |  4 +-
 .../GnuPG-Interface-0.520.0-0030-gpg-2.2.6.patch   | 54 ++++++++++++++++++
 .../GnuPG-Interface-0.520.0-0031-gpg-2.2.8.patch   | 64 ++++++++++++++++++++++
 3 files changed, 121 insertions(+), 1 deletion(-)